package net.halbear.Terrain4J.EngineCore.Vulkan.Rendering;

import org.lwjgl.vulkan.VkPipelineVertexInputStateCreateInfo;

public class EmptyVertexBufferStruct {

    private final VkPipelineVertexInputStateCreateInfo VertexInput;

    public EmptyVertexBufferStruct(){
        VertexInput = VkPipelineVertexInputStateCreateInfo.calloc();
        VertexInput.sType$Default();
    }

    public void CleanUp(){VertexInput.free();}
    public VkPipelineVertexInputStateCreateInfo GetVertexInput(){return VertexInput;}
}
